Subject: Re: [Uta] IDNA in UTA

From: Viktor Dukhovni <[email-masked]>
Date: Sun, 26 Mar 2023 20:30:05 -0400

On Sun, Mar 26, 2023 at 04:34:15PM -0700, Rob Sayre wrote:

> I think I will not raise any objection to draft-ietf-uta-rfc6125bis. I
> might write a different draft that says "all of the IETF IDNA documents are
> misleading, the internet runs on UTS-46", but that is not specific to this
> draft.

Thanks!  Yes, if the issue is to be settled, rfc6125bis is not the best
battle ground.

> You can inspect the problem here:
> https://util.unicode.org/UnicodeJsps/idna.jsp

Note that the example there is dated.  In each of Firefox, Safari and
Chrome faß.de is not "fass.de" (compatibility mode), but rather
"xn--fa-hia.de".

Yes, the Internet seems to run on UTS-46, but with compatibility mode
disabled.  So emoji, ... "work", but the compatibility crutches have
largely been removed.

    https://xn--ls8h.la

-- 
    Viktor.